#
# spec file for package yast2-online-update-configuration
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-online-update-configuration
Version:        5.0.0
Release:        1.4
Group:          System/YaST
License:        GPL-2.0-only
Summary:        Configuration of Online Update
URL:            https://github.com/yast/yast-online-update-configuration

Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  update-desktop-files
BuildRequires:  yast2 >= 2.17.0
BuildRequires:  yast2-devtools >= 4.2.2
BuildRequires:  yast2-packager
BuildRequires:  yast2-pkg-bindings >= 2.17.20
BuildRequires:  rubygem(%rb_default_ruby_abi:rspec)
BuildRequires:  rubygem(%rb_default_ruby_abi:yast-rake)

PreReq:         %fillup_prereq
# Wizard::SetDesktopTitleAndIcon
Requires:       yast2 >= 2.21.0
Requires:       yast2-packager >= 2.17.0
Requires:       yast2-pkg-bindings >= 2.17.20
Requires:       yast2-ruby-bindings >= 1.0.0

Conflicts:      yast2-registration <= 2.19.1

Provides:       yast2-registration:/usr/share/YaST2/clients/online_update_configuration.ycp

Supplements:    autoyast(online_update_configuration)

BuildArch:      noarch

%description
Allows to configure automatic online update.

%prep
%setup -q

%check
%yast_check

%build

%install
%yast_install
%yast_metainfo

%post
%{fillup_only -ns automatic_online_update yast2-online-update-configuration}

%files
%license COPYING
%doc %{yast_docdir}
%{yast_yncludedir}
%{yast_clientdir}
%{yast_moduledir}
%{yast_libdir}
%{yast_desktopdir}
%{yast_metainfodir}
%{yast_schemadir}
%{yast_icondir}
%{yast_ybindir}
# agent
%{yast_scrconfdir}
# fillup
%{_fillupdir}/sysconfig.automatic_online_update-yast2-online-update-configuration

%changelog
* Wed Aug 30 2023 Josef Reidinger <jreidinger@suse.cz>
- 5.0.0 (bsc#1185510)
* Fri Mar  3 2023 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.6.0 (bsc#1208913)
* Thu May 26 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Reduce nesting in the "category_filter" section of the AutoYaST
  profile (bsc#1198848). The old (nested) format is still accepted.
- 4.5.1
* Wed Apr  6 2022 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.5.0 (bsc#1198109)
* Tue Apr 20 2021 Ladislav Slezák <lslezak@suse.cz>
- 4.4.0 (bsc#1185510)
* Thu Aug 20 2020 David Diaz <dgonzalez@suse.com>
- Set X-SuSE-YaST-AutoInstClient in desktop file (bsc#1175516).
- 4.3.2
* Mon Aug 10 2020 schubi@suse.de
- AutoYaST: Added supplements: autoyast(online_update_configuration)
  into the spec file in order to install this packages if the
  section has been defined in the AY configuration file (bsc#1146494).
- 4.3.1
* Tue May 12 2020 Josef Reidinger <jreidinger@suse.com>
- Autoyast schema: Allow optional types for string and map objects
  (bsc#1170886)
- 4.3.0
* Tue Aug 27 2019 schubi@suse.de
- Set X-SuSE-YaST-AutoInstResource in desktop file (bsc#144894).
- 4.2.1
* Fri May 31 2019 Stasiek Michalski <hellcp@mailbox.org>
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.0
* Sun Nov 25 2018 Noah Davis <noahadvs@gmail.com>
- Provide icon with module (boo#1109310)
- 4.1.0
* Tue Oct 16 2018 schubi@suse.de
- Added license file to spec.
* Wed Jun 27 2018 schubi@suse.de
- Added additional searchkeys to desktop file (fate#321043).
- 4.0.1
* Thu Nov 30 2017 rbrown@suse.com
- Replace references to /var/adm/fillup-templates with new
  %%_fillupdir macro (boo#1069468).
- 4.0.0
* Fri Jun 30 2017 lslezak@suse.cz
- Install the patches for all selected categories (not just the
  first one) (bsc#1044018)
- Properly handle the exist status for multiple categories
- 3.1.6
* Wed Apr 16 2014 lslezak@suse.cz
- registration client has been renamed to "scc" (bnc#870869)
- zypp_config.rb: fixed a typo in the constant name
- 3.1.5
* Wed Mar 26 2014 robin.roth@kit.edu
- Rerun zypper if it returns 103 which indicates that an update to
  zypper itself was installed
- 3.1.4
* Wed Dec 18 2013 vmoravec@suse.com
- Fix missing lib dir in makefile and specfile
- 3.1.3
* Tue Dec 17 2013 vmoravec@suse.com
- Add option for using deltarpms during update - FATE#314867
- 3.1.2
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Tue Jul  9 2013 jdsn@suse.de
- do not finish sources if called from other module (bnc#828132)
- 2.24.1
* Mon Jul  8 2013 jdsn@suse.de
- fix the call of the repositories module (bnc#828139)
- 2.24.0
* Wed Mar 13 2013 jdsn@suse.de
- translate cron intervals and update categories (bnc#807773)
* Fri Oct 19 2012 jdsn@suse.de
- feature: filter patches by category in automatic update cronjob
  (fate#313278)
- 2.22.1
* Tue Sep 27 2011 visnov@suse.cz
- set dialog title
- 2.21.1
* Mon May 30 2011 jdsn@suse.de
- add split-provides to keep this module in zypper dup (bnc#695449)
- 2.21.0
* Fri Apr  8 2011 jdsn@suse.de
- fix proxy settings in automatic online update script, bnc#(678888)
- make online-update script more robust
* Mon Apr 26 2010 jdsn@suse.de
- initial version, split off from yast2-registration (fate#308494)
- adapting code to work separately from registration
- 2.19.0
